﻿/**
 *	MiniBatteryStatus Widget
 *
 *	© Claudio Procida 2005-2008
 *
 *	Disclaimer
 *
 *	The MiniBatteryStatus Widget software (from now, the "Software") and the accompanying materials
 *	are provided “AS IS” without warranty of any kind. IN NO EVENT SHALL THE AUTHOR(S) BE
 *	LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 *	INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 *	IF THE AUTHOR(S) HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. The entire risk as to
 *	the results and performance of this software is assumed by you. If the software is
 *	defective, you, and not its author(s), assume the entire cost of all necessary servicing,
 *	repairs and corrections. If you do not agree to these terms and conditions, you may not
 *	install or use this software.
 */

/**
 *	SharingService
 */

var SharingService = {
	enabled: true,
	
	start: function()
	{
		if (!this.enabled) return;
		__DEBUG("Starting sharing service");
		var cmd = widget.system("bin/battd_startup.sh start", null);
		if (cmd.status == 0)
		{
			getObj("shareStatusLabel").innerHTML = getLocalizedString("Service is running");
		}
	},
	
	stop: function()
	{
		if (!this.enabled) return;
		__DEBUG("Stopping sharing service");
		var cmd = widget.system("bin/battd_startup.sh stop", null);
		if (cmd.status == 0)
		{
			getObj("shareStatusLabel").innerHTML = getLocalizedString("Service is not running");
		}
	},
	
	isRunning: function()
	{
		if (!this.enabled) return false;
		var cmd = widget.system("/usr/bin/test -f /var/tmp/battd.pid", null);
		return cmd.status == 1;
	}
};